# Uses of Class
org.eclipse.birt.report.model.api.extension.CompatibilityStatus

Packages that use CompatibilityStatus
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.

## Uses of CompatibilityStatus in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return CompatibilityStatus
Modifier and Type
Method
Description
`CompatibilityStatus`
ICompatibleReportItem.`checkCompatibility()`
Checks the parser compatibilities for this report item and return the status.
`CompatibilityStatus`
ReportItem.`checkCompatibility()`